import { defineComponent, toRefs, openBlock, createElementBlock, createElementVNode, createVNode, unref, pushScopeId, popScopeId } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-0cf5b7fe"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "build_yulan" };
const _hoisted_2 = { class: "yulan_now" };
const _hoisted_3 = { class: "now_txt" };
const _hoisted_4 = { class: "now_t" };
const _hoisted_5 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "now_bjt" }, null, -1));
const _hoisted_6 = { class: "now_nume" };
const __default__ = defineComponent({ name: "EComponent01" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { titleConfig, imageConfig, valueConfig, unitConfig } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createVNode(_sfc_main$1, {
            config: unref(imageConfig),
            type: "img"
          }, null, 8, ["config"]),
          createElementVNode("div", _hoisted_3, [
            createElementVNode("div", _hoisted_4, [
              createVNode(_sfc_main$1, {
                config: unref(titleConfig),
                type: "text"
              }, null, 8, ["config"])
            ]),
            _hoisted_5,
            createElementVNode("div", _hoisted_6, [
              createVNode(_sfc_main$1, {
                config: unref(valueConfig),
                type: "number"
              }, null, 8, ["config"]),
              createVNode(_sfc_main$1, {
                config: unref(unitConfig),
                type: "text"
              }, null, 8, ["config"])
            ])
          ])
        ])
      ]);
    };
  }
});
var _EComponent01 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0cf5b7fe"]]);
export { _EComponent01 as default };
